> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# List label templates

GET https://{tenant_name}.benchling.com/api/v2/registries/{registry_id}/label-templates

List label templates

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/label-templates/list-label-templates

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `registry_id` (string, required) — ID of the registry to list the label templates of.

### Query parameters

- `name` (string, optional) — Name of a label template. Restricts results to those with the specified name.

## Response

### 200

OK

- `labelTemplates` (list of LabelTemplate, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (BadRequestErrorError, optional)

### 404 Not Found Error

Not Found

- `error` (NotFoundErrorError, optional)

## Types

### LabelTemplate

- `id` (string, optional) — ID of the label template.
- `name` (string, optional) — Name of the label template.
- `zplTemplate` (string, optional) — The ZPL template that will be filled in and sent to a printer.

### BadRequestErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)

### NotFoundErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)
- `invalidId` (string, optional)

## Examples

**Response**

```json
{
  "labelTemplates": [
    {
      "id": "string",
      "name": "string",
      "zplTemplate": "string"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/registries/registry_id/label-templates"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/registries/registry_id/label-templates';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```